function [f_gauss_lpf]=f_gauss_lp(x,fc)
% f_gauss_lp(x,fc) generates the low-pass Gaussian filter
% of the same size as image x and cutoff fc
%
r=size(x,1);c=size(x,2);
[x,y]=meshgrid(-floor(c/2):floor((c-1)/2),-floor(r/2): ...
floor((r-1)/2));
f_gauss_lpf=exp(-(x.^2+y.^2)/(2*fc^2));